variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"
  GIT_DEPTH: "0"

sonarcloud-check:
  image:
    name: sonarsource/sonar-scanner-cli:latest
    entrypoint: [""]
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - sonar-scanner
  only:
    - merge_requests
    - master
    - develop
    - main

test:
  stage: test
  script:
    - npm install 
    - npm run lint 
    - echo "Exécuter les tests ici..."
  only:
    - merge_requests
    - master
    - develop
    - main

deploy:
  stage: deploy
  script:
    - npm install netlify-cli -g
    - netlify deploy --prod --dir=./build
  only:
    - master

pages:
  stage: deploy 
  script:
    - echo "Déployer les pages ici..."
  artifacts:
    paths:
      - public/
  only:
    - master
  dependencies:
    - deploy
